Skip to main content
PATCH
/
team-api-keys
/
{api_key_id}
Update team API key
curl --request PATCH \
  --url https://api.hexclave.com/api/v1/team-api-keys/{api_key_id} \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api.hexclave.com/api/v1/team-api-keys/{api_key_id}"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.hexclave.com/api/v1/team-api-keys/{api_key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "description": "<string>",
  "created_at_millis": 123,
  "is_public": true,
  "value": {
    "last_four": "<string>"
  },
  "type": "team",
  "team_id": "<string>",
  "expires_at_millis": 123,
  "manually_revoked_at_millis": 123
}

Path Parameters

api_key_id
string
required

Body

application/json
description
string
revoked
boolean

Response

200 - application/json

Successful response

id
string
required
description
string
required
created_at_millis
number
required
is_public
boolean
required
value
object
required
type
enum<string>
required
Available options:
team
team_id
string
required
expires_at_millis
number
manually_revoked_at_millis
number